GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
gdcm::ImageChangePhotometricInterpretation Class Reference

ImageChangePhotometricInterpretation class Class to change the Photometric Interpetation of an input DICOM. More...

`#include <gdcmImageChangePhotometricInterpretation.h>`

Inheritance diagram for gdcm::ImageChangePhotometricInterpretation:
[legend]
Collaboration diagram for gdcm::ImageChangePhotometricInterpretation:
[legend]

## Public Member Functions

| ImageChangePhotometricInterpretation ()
| ~ImageChangePhotometricInterpretation ()
bool | Change ()
| Change.
const PhotometricInterpretation & | GetPhotometricInterpretation () const
void | SetPhotometricInterpretation (PhotometricInterpretation const &pi)
| Set/Get requested PhotometricInterpretation.
Public Member Functions inherited from gdcm::ImageToImageFilter
| ImageToImageFilter ()
| ~ImageToImageFilter ()
Image & | GetInput ()
const Image & | GetOutput () const
| Get Output image.
Public Member Functions inherited from gdcm::PixmapToPixmapFilter
| PixmapToPixmapFilter ()
| ~PixmapToPixmapFilter ()
Pixmap & | GetInput ()
const Pixmap & | GetOutput () const
| Get Output image.
Public Member Functions inherited from gdcm::BitmapToBitmapFilter
| BitmapToBitmapFilter ()
| ~BitmapToBitmapFilter ()
const Bitmap & | GetOutput () const
| Get Output image.
void | SetInput (const Bitmap &image)
| Set input image.

## Static Public Member Functions

template<typename T >
static void | RGB2YBR (T ybr[3], const T rgb[3])
| colorspace converstion (based on CCIR Recommendation 601-2)
template<typename T >
static void | YBR2RGB (T rgb[3], const T ybr[3])

## Protected Member Functions

bool | ChangeMonochrome ()

## Additional Inherited Members

Protected Attributes inherited from gdcm::BitmapToBitmapFilter
SmartPointer< Bitmap > | Input
SmartPointer< Bitmap > | Output

## Detailed Description

ImageChangePhotometricInterpretation class Class to change the Photometric Interpetation of an input DICOM.

## Constructor & Destructor Documentation

gdcm::ImageChangePhotometricInterpretation::ImageChangePhotometricInterpretation | ( |  | ) |

inline

gdcm::ImageChangePhotometricInterpretation::~ImageChangePhotometricInterpretation | ( |  | ) |

inline

## Member Function Documentation

bool gdcm::ImageChangePhotometricInterpretation::Change | ( |  | ) |

Change.

bool gdcm::ImageChangePhotometricInterpretation::ChangeMonochrome | ( |  | ) |

protected

const PhotometricInterpretation& gdcm::ImageChangePhotometricInterpretation::GetPhotometricInterpretation | ( |  | ) | const

inline

template<typename T >

void gdcm::ImageChangePhotometricInterpretation::RGB2YBR | ( | T | ybr[3],
|  | const T | rgb[3]
| ) |  |

static

colorspace converstion (based on CCIR Recommendation 601-2)

void gdcm::ImageChangePhotometricInterpretation::SetPhotometricInterpretation | ( | PhotometricInterpretation const & | pi | ) |

inline

Set/Get requested PhotometricInterpretation.

template<typename T >

void gdcm::ImageChangePhotometricInterpretation::YBR2RGB | ( | T | rgb[3],
|  | const T | ybr[3]
| ) |  |

static

The documentation for this class was generated from the following file:

- gdcmImageChangePhotometricInterpretation.h